package main

import (
	"context"

	"go.sour.is/paste/v2/image"
	"go.sour.is/pkg/env"
	"go.sour.is/pkg/lg"
	"go.sour.is/pkg/service"
)

var _ = apps.Register(40, func(ctx context.Context, svc *service.Harness) error {
	_, span := lg.Span(ctx)
	defer span.End()

	store := env.Default("IMAGE_STORE", "data/")

	a, err := image.New(store, -1)
	if err != nil {
		return err
	}
	svc.Add(a)
	span.AddEvent("register image")

	return nil
})
